<div id="{{ idPrefix }}matching_widget" class="mdc-card h-100">
    <div class="card-header p-3 d-flex mb-4">
        <div class="icon-thumbnail me-4 ms-0 align-text-top">
            <span>
                <i class="material-icons">
                    cached
                </i>
            </span>
        </div>
        <div class="card-title align-self-center">
            <h2 class="mb-1 fs-4">Matchings</h2>
            <p class="mb-0">Informationen zu Matchings</p>
        </div>
        <div class="ms-auto align-text-top">
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': idPrefix ~ 'matching_widget',
                'listItems': [
                    {
                        'label': 'Objekte zum Matching',
                        'url': path('company_location_management_matching_object_overview'),
                        'icon': 'store'
                    },
                    {
                        'label': 'Ansiedlungsgesuche zum Matching',
                        'url': path('company_location_management_matching_looking_for_property_request_overview'),
                        'icon': 'location_on'
                    }
                ]
            } only %}
        </div>
    </div>
    <div class="card-body p-4 pt-0 h-100">
        {% if matchingStatistics is not null %}
            <div class="row">
                <div class="col-12">
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            Letztes Matching ausgeführt:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ matchingStatistics.getLastMatchingDate().format('d.m.Y, H:i') }} Uhr</span>
                        </div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            Exposé-Weiterleitungen:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ matchingStatistics.getExposeForwardings() }}</span>
                        </div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            Durchschnittliche Treffer pro Matching:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ matchingStatistics.getAverageNumberOfResultsPerMatching() }}</span>
                        </div>
                    </div>
                </div>
            </div>
        {% else %}
        <div class="row">
            <div class="col-12">
                Zur Zeit sind keine Statistiken verfügbar.
            </div>
        </div>
        {% endif %}
    </div>
</div>
